Package org.eclipse.emf.cdo.ui

# Class UserInfo.Manager.HomeUserInfoStorage

java.lang.Object
org.eclipse.emf.cdo.ui.UserInfo.Manager.HomeUserInfoStorage

All Implemented Interfaces:
  `UserInfo.Manager.UserInfoStorage`, `UserInfo.Manager.UserInfoStorage.Writable`

Enclosing class:
  UserInfo.Manager

public static final class UserInfo.Manager.HomeUserInfoStorage extends Object implements UserInfo.Manager.UserInfoStorage.Writable

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`UserInfo.Manager.HomeUserInfoStorage.Factory`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.ui.UserInfo.Manager.UserInfoStorage

`UserInfo.Manager.UserInfoStorage.Writable`

## Constructor Summary

Constructors
Constructor
Description
`HomeUserInfoStorage()`

## Method Summary

Modifier and Type
Method
Description
`UserInfo`
`loadUserInfo()`
`static void`
`saveProperties(File folder, String fileName, Properties properties, String comment)`
`void`
`saveUserInfo(UserInfo userInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HomeUserInfoStorage

public HomeUserInfoStorage()

## Method Details

### loadUserInfo

public UserInfo loadUserInfo() throws IOException

Specified by:
  `loadUserInfo` in interface `UserInfo.Manager.UserInfoStorage`
Throws:
  `IOException`

### saveUserInfo

public void saveUserInfo(UserInfo userInfo) throws IOException

Specified by:
  `saveUserInfo` in interface `UserInfo.Manager.UserInfoStorage.Writable`
Throws:
  `IOException`

### saveProperties

public static void saveProperties(File folder, String fileName, Properties properties, String comment)